Skip to main content
`Ctrl`+`K`

# PCBDDCGetNeumannBoundariesLocal

Get parallel `IS` for Neumann boundaries (in local ordering)

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetNeumannBoundariesLocal(PC pc, IS *NeumannBoundaries)

Not Collective

## Input Parameter

- pc - the preconditioning context

## Output Parameter

- NeumannBoundaries - index set defining the subdomain part of Neumann boundaries

## Note

The `IS` returned could be the same passed in earlier by the user (if provided with `PCBDDCSetNeumannBoundariesLocal()` or a global-to-local map of the global `IS` (if provided with `PCBDDCSetNeumannBoundaries()`). In the latter case, the `IS` will be available after `PCSetUp()`.

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCBDDCSetNeumannBoundaries()`, `PCBDDCSetNeumannBoundariesLocal()`, `PCBDDCGetNeumannBoundaries()`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Implementations

PCBDDCGetNeumannBoundariesLocal_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages